
Redmine - Patch #41902

Fix class name to match file name in keyboard_shortcuts_test.rb

2024-11-29 16:36 - Katsuya HIDAKA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.5   

Description

This patch fixes the class name from InlineAutocompleteSystemTest to KeyboardShortcutsTest to match the file name. The class

name InlineAutocompleteSystemTest conflicted with test/system/inline_autocomplete_test.rb.

diff --git a/test/system/keyboard_shortcuts_test.rb b/test/system/keyboard_shortcuts_test.rb

index 361326be1..2c98567c0 100644

--- a/test/system/keyboard_shortcuts_test.rb

+++ b/test/system/keyboard_shortcuts_test.rb

@@ -19,7 +19,7 @@

 require_relative '../application_system_test_case'

-class InlineAutocompleteSystemTest < ApplicationSystemTestCase

+class KeyboardShortcutsTest < ApplicationSystemTestCase

   fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,

            :trackers, :projects_trackers, :enabled_modules, :issue_statuses, :issues,

            :enumerations, :custom_fields, :custom_values, :custom_fields_trackers,

Associated revisions

Revision 23330 - 2024-11-29 17:55 - Marius BĂLTEANU

Fixes class name to match file name in keyboard_shortcuts_test.rb (#41902).

Patch by Katsuya HIDAKA (user:hidakatsuya)

Revision 23339 - 2024-11-30 11:36 - Marius BĂLTEANU

Merge r23330 from trunk to 6.0-stable (#41902).

Revision 23340 - 2024-11-30 11:37 - Marius BĂLTEANU

Merge r23330 from trunk to 5.1-stable (#41902).

History

#1 - 2024-11-29 17:55 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

#2 - 2024-11-29 17:55 - Marius BĂLTEANU

- Target version set to 5.1.5

#3 - 2024-11-30 11:38 - Marius BĂLTEANU

- Status changed from Resolved to Closed
